Bug 209404 - Missing old-style fonts
Missing old-style fonts
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Chip Coldwell
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-10-05 04:46 EDT by David Howells
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of xlsfonts (34.75 KB, text/plain)
2006-10-05 04:46 EDT, David Howells
no flags Details

  None (edit)
Comment 1 David Howells 2006-10-05 04:46:07 EDT
Created attachment 137807 [details]
Output of xlsfonts
Comment 2 David Woodhouse 2006-10-05 05:00:59 EDT
I saw it on a clean install, and 'xlsfonts' output was _empty_ until I added
some font directories manually with xset fp+ ...

Doesn't seem to be happening on the same machine now though, and I haven't
edited my .emacs -- I do have courier fonts available through the X font system now.
Comment 3 David Woodhouse 2006-10-05 05:04:18 EDT
Ah, this may be related to the aborts of fc-cache which I reported in bug 208692.

David, did you happen to see these? I don't think anaconda actually manages to
_log_ them into /root/anaconda.log, unfortunately.
Comment 4 David Woodhouse 2006-10-05 05:07:19 EDT
Oops, that wasn't the same machine. That was an upgrade, so it has to have been
another box.

/me wanders off in search of more caffeine.
Comment 5 David Howells 2006-10-05 05:14:26 EDT
It looks like KDE retains some fonts that I gave it as personal fonts in my 
NFS mounted homedir and adds these to the system when it starts.  That may 
explain why the output of xlsfonts wasn't empty for me.
Comment 6 Adam Jackson 2006-10-05 07:53:04 EDT
The X server itself only depends on xorg-x11-fonts-base for base functionality,
and even that's overkill now, since the only two fonts that are really
_required_ are cursor and fixed, and those are compiled directly into libXfont
anyway.  The default font path includes the X font server, but xfs itself
doesn't have any package dependencies on any fonts.

The font mentioned in the original report is provided by either font-adobe-75dpi
or font-adobe-100dpi.

If a package has a direct dependency on a font for normal (or even just default)
functionality, that should be expressed within the package itself.  Otherwise
this is really a comps issue.
Comment 7 Adam Jackson 2006-10-10 10:46:01 EDT
Does emacs depend on this font set by default?  If so this bug needs to go to
the emacs owner so they can fix the package dependencies.  Otherwise this is a
comps bug and needs to go to releng.

-> NEEDINFO from reporter.
Comment 8 Kristian Høgsberg 2006-10-13 12:20:17 EDT
Also, please post the output of 'xset q' which will show the font path the x
server uses.
Comment 9 Matthew Miller 2007-04-06 12:18:47 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 10 Matěj Cepl 2007-07-09 17:04:08 EDT
This is on Fedora 7:

[matej@chelcicky 75dpi]$ grep -- '-adobe-courier-medium-r-normal.*12' \
courR12-ISO8859-1.pcf.gz \
courR12.pcf.gz -adobe-courier-medium-r-normal--12-120-75-75-m-70-iso10646-1
[matej@chelcicky 75dpi]$ rpm -qR emacs |grep fontlibfontconfig.so.1  
[matej@chelcicky 75dpi]$ rpm -qf /usr/share/X11/fonts/75dpi/courR12.pcf.gz 
[matej@chelcicky 75dpi]$ rpm -qf \
[matej@chelcicky 75dpi]$ 

I think it means, that we are missing dependency on xorg-x11-fonts in emacs (for
people with default UTF-8 locale which is what I suspect reporter has).

Therefore, changing the component to emacs.
Comment 11 Bug Zapper 2008-04-03 23:54:50 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Bug Zapper 2008-05-06 12:26:41 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.